QuantLib: EulerDiscretization Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EulerDiscretization Class Reference
Stochastic processes

Euler discretization for stochastic processes. More...

`#include <ql/processes/eulerdiscretization.hpp>`

Inheritance diagram for EulerDiscretization:
[legend]

## Public Member Functions
Disposable< Array > | drift (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | drift (const StochasticProcess1D &, Time t0, Real x0, Time dt) const
Disposable< Matrix > | diffusion (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | diffusion (const StochasticProcess1D &, Time t0, Real x0, Time dt) const
Disposable< Matrix > | covariance (const StochasticProcess &, Time t0, const Array &x0, Time dt) const
Real | variance (const StochasticProcess1D &, Time t0, Real x0, Time dt) const

## Detailed Description

Euler discretization for stochastic processes.

## Member Function Documentation

Disposable<Array> drift | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the drift defined as \( \mu(t_0, \mathbf{x}_0) \Delta t \).

Implements StochasticProcess::discretization.

Real drift | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the drift defined as \( \mu(t_0, x_0) \Delta t \).

Implements StochasticProcess1D::discretization.

Disposable<Matrix> diffusion | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the diffusion defined as \( \sigma(t_0, \mathbf{x}_0) \sqrt{\Delta t} \).

Implements StochasticProcess::discretization.

Real diffusion | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the diffusion defined as \( \sigma(t_0, x_0) \sqrt{\Delta t} \).

Implements StochasticProcess1D::discretization.

Disposable<Matrix> covariance | ( | const StochasticProcess & | ,
|  | Time | t0,
|  | const Array & | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the covariance defined as \( \sigma(t_0, \mathbf{x}_0)^2 \Delta t \).

Implements StochasticProcess::discretization.

Real variance | ( | const StochasticProcess1D & | ,
|  | Time | t0,
|  | Real | x0,
|  | Time | dt
| ) |  | const
| virtual

Returns an approximation of the variance defined as \( \sigma(t_0, x_0)^2 \Delta t \).

Implements StochasticProcess1D::discretization.